mainmenu = gideros.class(Sprite)
function mainmenu:init()


	--Background Image
	local background = Bitmap.new(Texture.new("Images/test.png"))
	stage:addChild(background)
	
	--Create Event Button	
	local createBtn = Bitmap.new(Texture.new("Images/btn1.png"))
	local createBtn_over = Bitmap.new(Texture.new("Images/btn1_over.png"))
	
	--The Actual Button and Listener
	local button1 = Button.new(createBtn, createBtn_over)
	button1:addEventListener("click",
		function()
			sceneManager:changeScene("createEvent", 1, SceneManager.flipWithFade)
		end)
	
	--Add Button To Scene
	button1:setPosition(70, 200)
	stage:addChild(button1)	
	-------------------------------------------------------------------------------
	--View/Edit Button	
	local viewBtn = Bitmap.new(Texture.new("Images/btn2.png"))
	local viewBtn_over = Bitmap.new(Texture.new("Images/btn2_over.png"))
	
	--The Actual Button and Listener
	local button2 = Button.new(viewBtn, viewBtn_over)
	button2:addEventListener("click",
		function()
			sceneManager:changeScene("ViewEdit", 1, SceneManager.flipWithFade)
		end)
	
	--Add Button To Scene
	button2:setPosition(70, 450)
	stage:addChild(button2)
	-------------------------------------------------------------------------------
	--Settings Button	
	local settingsBtn = Bitmap.new(Texture.new("Images/btn3.png"))
	local settingsBtn_over = Bitmap.new(Texture.new("Images/btn3_over.png"))
	
	--The Actual Button and Listener
	local button3 = Button.new(settingsBtn, settingsBtn_over)
	button3:addEventListener("click",
		function()
			sceneManager:changeScene("Settings")
		end)
	
	--Add Button To Scene
	button3:setPosition(70, 700)
	stage:addChild(button3)
	
	-------------------------------------------------------------------------------


end